property myLocation, meSprite, out, myTimer, theDelay

on beginSprite me
  set meSprite to the spriteNum of me
  set myLocation to the loc of sprite the spriteNum of me
  set the loc of sprite the spriteNum of me to point(900, 900)
  set the cursor of sprite the spriteNum of me to [member "Pointer1", member "Pointer1 MasK"]
  set out to 0
  set the stageColor to the stageColor
end

on endSprite me
  set the cursor of sprite the spriteNum of me to 0
end

on Display me
  if out then
    set out to 0
    set the loc of sprite meSprite to point(900, 900)
  else
    set the loc of sprite meSprite to myLocation
    set myTimer to the timer
    set out to 1
  end if
end

on undisplay me
  set the loc of sprite meSprite to point(900, 900)
  set out to 0
end

on enterFrame me
  if out then
    if (myTimer + (theDelay * 60)) < the timer then
      set out to 0
      set the loc of sprite meSprite to point(900, 900)
    end if
  end if
end

on getBehaviorDescription
  return "Starts with sprite me off stage (moves me on begin sprite).  Then on message display me for user defined, by property, time."
end

on getPropertyDescriptionList
  set descript to [:]
  addProp(descript, #theDelay, [#default: 7, #format: #integer, #comment: "Display delay in seconds"])
  return descript
end

on mouseUp me
  sendSprite(the spriteNum of me, #undisplay)
end
